package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.StudentHonorsPageDto;
import com.xjrsoft.module.student.entity.StudentHonors;
import com.xjrsoft.module.student.vo.StudentHonorsListVo;
import com.xjrsoft.module.student.vo.StudentHonorsPageVo;
import com.xjrsoft.module.student.vo.StudentHonorsVo;

import java.util.List;

/**
* @title: 学生荣誉
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/

public interface IStudentHonorsService extends MPJBaseService<StudentHonors> {


    /**
     * 分页查询
     */
    IPage<StudentHonorsPageVo> getPage(StudentHonorsPageDto dto);

    /**
     * 查询班级信息
     */
    List<StudentHonorsListVo> getClassInfo();

    /**
     * 查询学期信息
     */
    List<StudentHonorsListVo> getSemesterInfo();

    /**
     * 根据id查询详情信息
     */
    StudentHonorsVo getInfo(Long id);

    /**
     * 查询最大的序号
     */
    Integer getSortCode();
}
